Name: libofx
Version: 0.7.0
Release: alt3
Summary: The OFX parser library
Group: System/Libraries
License: GPL
URL: http://libofx.sourceforge.net
Source: http://download.sourceforge.net/libofx/%name-%version.tar.gz
BuildRequires: libOpenSP-devel, gcc-c++

%description
This is the LibOFX library.  It is a API designed to allow applications to very
easily support OFX command responses, usually provided by financial
institutions. See http://www.ofx.net/ for details and specification.

%package devel
Summary: The OFX parser development library
Group: Development/C++
Requires: %name = %version-%release

%description devel
This is the LibOFX library.  It is a API designed to allow applications to very
easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ for details and specification. LibOFX is
based on the excellent OpenSP library written by James Clark, and now part of
the OpenJADE http://openjade.sourceforge.net/ project.  OpenSP by itself is not
widely distributed.  OpenJADE 1.3.1 includes a version on OpenSP that will
link, however, it has some major problems with LibOFX and isn't recommended.
Since LibOFX uses the generic interface to OpenSP, it should be compatible with
all recent versions of OpenSP (It has been developed with OpenSP-1.5pre5).
LibOFX is written in C++, but provides a C style interface usable transparently
from both C and C++ using a single include file.

%package docs
Summary: The OFX library documentation
Group: Development/C++
Requires: %name = %version-%release

%description docs
This is the LibOFX library.  It is a API designed to allow applications to very
easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ for details and specification. LibOFX is
based on the excellent OpenSP library written by James Clark, and now part of
the OpenJADE http://openjade.sourceforge.net/ project.  OpenSP by itself is not
widely distributed.  OpenJADE 1.3.1 includes a version on OpenSP that will
link, however, it has some major problems with LibOFX and isn't recommended.
Since LibOFX uses the generic interface to OpenSP, it should be compatible with
all recent versions of OpenSP (It has been developed with OpenSP-1.5pre5).
LibOFX is written in C++, but provides a C style interface usable transparently
from both C and C++ using a single include file.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/*
%_libdir/*.so.*
%_datadir/%name

%files devel
%_libdir/*.so
%_includedir/*

%files docs
%doc doc/html doc/ofx_sample_files
%doc AUTHORS ChangeLog NEWS README totest.txt

%changelog
* Mon Jan 17 2005 Igor Muratov <migor@altlinux.org> 0.7.0-alt3
- Spec cleanup

* Mon Jan 10 2005 Igor Muratov <migor@altlinux.org> 0.7.0-alt2
- Split packet

* Sun Jan  2 2005 Igor Muratov <migor@altlinux.org> 0.7.0-alt1
- Initial build for ALT

* Sat Nov 23 2002 Chris Lyttle <chris@wilddev.net>
- Created spec file
